From 6f40f37d8e91cd2a78d0f31fa1a91342b59d434c Mon Sep 17 00:00:00 2001
From: Giovanni Bussi <giovanni.bussi@gmail.com>
Date: Mon, 15 Jul 2013 08:38:36 +0200
Subject: [PATCH] Improved conditional execution of regtests

---
 regtest/scripts/run | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/regtest/scripts/run b/regtest/scripts/run
index 9d3f3293d..9c489174d 100755
--- a/regtest/scripts/run
+++ b/regtest/scripts/run
@@ -66,6 +66,16 @@ then
   exit 0;
 fi
 
+for need in $plumed_needs
+do
+  echo "Checking for $need"
+  if ! plumed --has-$need
+  then
+    echo "NOT_APPLIABLE ($need NOT INSTALLED)"
+    exit 0;
+  fi
+done
+
 case "$type" in
 (simplemd)
   test -f in || {
-- 
GitLab